/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007, 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PCAP_FIND_HH_
# define PCAP_FIND_HH_

extern "C"
{
# include <inttypes.h>
}

# include <vector>
# include <cstddef>

# include <wipal/pcap/pkt.hh>

namespace wpl
{

  namespace pkt
  {

    struct match
    {
      typedef std::vector<uint8_t>	vector_of_bytes;

      match(const vector_of_bytes& bytes, size_t first, size_t last);

      template <class S>
      bool
      operator == (const packet<S>& rhs) const;

    private:
      vector_of_bytes	bytes_;
      size_t		first_;
      size_t		last_;
    };

    template <class S>
    bool
    operator == (const packet<S>& rhs, const match& lhs);

  } // End of namespace wpl::pkt.

} // End of namespace wpl.

# include "find.hxx"

#endif // ! PCAP_FIND_HH_
