/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PROTO_UDP_HH_
# define PROTO_UDP_HH_

extern "C"
{
# include <inttypes.h>
}

namespace wpl
{

  /// udp related compounds.
  namespace udp
  {

    /// udp services.
    namespace port
    {
      /// udp service.
      enum service
	{
	  OLSR	= 698,
	};

    } // end of namespace wpl::udp::port.

    /// udp header.
    struct header
    {
      enum port_index
	{
	  sp	= 0,	///< source port.
	  dp	= 1,	///< destination port.
	};

      uint16_t	ports[2];
      uint16_t	length;
      uint16_t	checksum;

    } __attribute__((__packed__));


  } // end of namespace wpl::udp.

} // end of namespace wpl.

#endif // ! PROTO_UDP_HH_
