/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef TOOL_LESS_HH_
# define TOOL_LESS_HH_

namespace wpl
{

  namespace tool
  {

    /// Binary functor that returns @c lhs->second < @c rhs->second.
    struct less_using_second
    {
      /// Return @c lhs->second < @c rhs->second
      template <class P>
      bool
      operator () (const P& lhs, const P& rhs);
    };

  } // End of namespace wpl::tool.

} // End of namespace wpl.

# include "less.hxx"

#endif // ! TOOL_LESS_HH_
