/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef WIFI_STATS_SSID_STATS_HH_
# define WIFI_STATS_SSID_STATS_HH_

# include <string>
# include <map>

# include <wipal/wifi/stats/module.hh>

namespace wpl
{

  namespace wifi
  {

    namespace stats
    {

      struct ssid_stats: public module
      {
	ssid_stats(const void* other_modules = 0);

	template <class Frame>
	void
	account_beacon(const Frame&		frame,
		       const addr* const&	ap,
		       const addr* const&	bss,
		       const optional_string&	ssid,
		       const bool&		ibss);

	std::ostream&	print(std::ostream&) const;

      private:
	typedef std::map<std::string, unsigned>	freq_type;

	freq_type	freqs_;
	unsigned	total_;
      };

    } // End of namespace wpl::wifi::stats.

  } // End of namespace wpl::wifi.

} // End of namespace wpl.

# include "ssid_stats.hxx"

#endif // ! WIFI_STATS_SSID_STATS_HH_
