/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007, 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef WIFI_TIMESTAMP_ID_HH_
# define WIFI_TIMESTAMP_ID_HH_

# include <wipal/wifi/timestamp.hh>
# include <wipal/wifi/unique_id/unique_id.hh>

namespace wpl
{

  namespace wifi
  {

    typedef unique_id<timestamp>	tmp_id;

    template <>
    struct unique_id_factory<tmp_id>
    {
      template <class HeaderType, class S>
      boost::optional<tmp_id>
      build(const pkt::packet<S>&	p,
	    addr_mapping&		mapping);
    };

  } // End of namespace wpl::wifi.

} // End of namespace wpl.

# include "timestamp.hxx"

#endif // ! WIFI_TIMESTAMP_ID_HH_
