/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

/**
 * @file wipal.hh
 *
 * Doxygen documentation's main page.
 *
 * This page contains no useful C++ code.  Its sole purpose is to
 * contain Doxygen's main page and documentation for the wpl
 * namespace.
 */

/**
 * @mainpage WiPal's C++ Library Documentation
 *
 * WiPal is a piece of software dedicated to IEEE 802.11 traces
 * manipulation. It comes as a set of programs and a C++ library. This
 * text documents the C++ library.
 *
 * All WiPal programs use this library.  At a low level it provides
 * various convenience tools (PCAP file input/output, random access to
 * PCAP traces, support for various static C++ techniques, etc.)  At
 * an upper level it provides a generic IEEE 802.11 frame parser that
 * is easy to customize and re-use.  Finally, it provides other
 * various mechanisms such as tools to synchronize and merge PCAP
 * traces directly from C++ code.
 *
 * - To learn about <b>PCAP input/output</b>, see @link pcapxx the
 *   pcapxx namespace documentation @endlink.
 * - To learn about the <b>IEEE 802.11 frame parser</b>, see @link
 *   wifi::frame::dissector the dissector class documentation
 *   @endlink.
 *
 * This documentation in a @em constant work in progress.  That means
 * entire parts of the WiPal library are not documented.  Furthermore,
 * as the library evolves concurrently to the documentation effort,
 * some other parts are outdated or not documented enough.  Be warned!
 */

/// WiPal's main namespace.
namespace wpl
{
}
