/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <config.hh>
#include <wipal/filter/anon_policies.hh>

namespace wpl
{

  namespace wifi
  {

    namespace anon
    {

#ifdef HAVE_OPENSSL

      const uint8_t	xor_mac_policy::mask_[] = { 0x00, 0x00, 0x00,
						    0xFF, 0xFF, 0xFF };

      const uint8_t	xor_essid_policy::mask_[] = { 0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F,
						      0x0F, 0x0F, 0x0F, 0x0F };

#endif // HAVE_OPENSSL

    } // End of namespace wifi::frame::anon.

  } // End of namespace wifi::frame.

} // End of namespace wifi.
