/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <wipal/wifi/frame.hh>
#include <wipal/wifi/mgt.hh>
#include <wipal/wifi/ctl.hh>
#include <wipal/wifi/data.hh>

namespace wpl
{

  namespace wifi
  {

    namespace type
    {

      const std::string names[4] =
	{ "Management", "Control", "Data", "Reserved" };

    } // End of namespace wpl::wifi::type.

    namespace subtype
    {

      static const std::string	reserved[16] =
	{
	  "Reserved:0",
	  "Reserved:1",
	  "Reserved:2",
	  "Reserved:3",
	  "Reserved:4",
	  "Reserved:5",
	  "Reserved:6",
	  "Reserved:7",
	  "Reserved:8",
	  "Reserved:9",
	  "Reserved:10",
	  "Reserved:11",
	  "Reserved:12",
	  "Reserved:13",
	  "Reserved:14",
	  "Reserved:15",
	};

      const std::string* const	names[4] =
	{
	  mgt::subtype::names,
	  ctl::subtype::names,
	  data::subtype::names,
	  reserved
	};

    } // End of namespace wpl::wifi::subtype.

  } // End of namespace wpl::wifi.

} // End of namespace wpl.
