/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007, 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <wipal/wifi/mgt.hh>

namespace wpl
{

  namespace wifi
  {

    namespace mgt
    {

      namespace subtype
      {

	const std::string names[16] =
	  {
	    "Association request",
	    "Association response",
	    "Reassociation request",
	    "Reassociation response",
	    "Probe request",
	    "Probe response",
	    "Reserved (mgt:6)",
	    "Reserved (mgt:7)",
	    "Beacon",
	    "ATIM",
	    "Disassociation",
	    "Authentication",
	    "Deauthentication",
	    "Action",
	    "Reserved (mgt:14)",
	    "Reserved (mgt:15)"
	  };

      } // End of namespace wifi::fame::mgt::subtype.

      const std::string
      header::addr_names[3] =
	{
	  "Destination Address (DA)",
	  "Source Address (SA)",
	  "Basic SSID (BSSID)"
	};

    } // End of namespace wpl::wifi::mgt.

  } // End of namespace wpl::wifi.

} // End of namespace wpl.
