/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <wipal/tool/si.hh>

namespace wpl
{

  namespace tool
  {

    namespace internals
    {

      template <> const char*	SI_unit<1>::abbrev_		= "b";
      template <> const char*	SI_unit<1000>::abbrev_		= "kb";
      template <> const char*	SI_unit<1024>::abbrev_		= "Kib";
      template <> const char*	SI_unit<1000000>::abbrev_	= "Mb";
      template <> const char*	SI_unit<1048576>::abbrev_	= "Mib";

      template <> const char*	SI_unit<8>::abbrev_		= "B";
      template <> const char*	SI_unit<8000>::abbrev_		= "kB";
      template <> const char*	SI_unit<8192>::abbrev_		= "KiB";
      template <> const char*	SI_unit<8000000>::abbrev_	= "MB";
      template <> const char*	SI_unit<8388608>::abbrev_	= "MiB";

    } // End of namespace internals.

  } // End of namespace tool.

} // End of namespace wpl.
