/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <iostream>
#include <stdexcept>
#include <cstdlib>

#include "config.hh"

#include <wipal/pcap/stream.hh>

#include "wit_importer.hh"

int
main(int argc, char *const argv[])
{
  if (argc != 2)
    {
      std::cerr << "Usage:\t"  << argv[0] << " <filenames-prefix>"
		<< std::endl;
      return EXIT_FAILURE;
    }

  try
    {
      wpl::pcap::file<>	d ("-");
      wit::importer	i (argv[1]);

      for (wpl::pcap::file<>::const_iterator j = d.begin(); j != d.end(); ++j)
	i(*j);
    }
  catch (const std::exception& e)
    {
      std::cerr << "ERROR: " << e.what() << '.' << std::endl;
      return EXIT_FAILURE;
    }
}
