#include <cstdlib>
#include <string>

#include <wipal/wifi/essid.hh>

int
main()
{
  const std::string	s[] = { "",
				"foobar",
				"\\",
				"\"",
				"\xff" "f",
				"\x10" };

  bool			failed = false;

  for (unsigned i = 0; i < sizeof (s) / sizeof (*s); ++i)
    {
      const wpl::wifi::essid	e (s[i]);

      if (e != s[i])
	{
	  std::cerr << "FAIL: " << s[i] << " constructed as " << e << '.'
		    << std::endl;
	  failed = true;
	}

      std::ostringstream	o;
      o << e;

      std::istringstream	i (o.str());
      wpl::wifi::essid		t;

      i >> t;
      if (t != e)
	{
	  std::cerr << "FAIL: " << e << " dump parsed as " << t << '.'
		    << std::endl;
	  failed = true;
	}
    }
  return failed? EXIT_FAILURE: EXIT_SUCCESS;
}
