#include <iostream>

#include <wipal/tool/microseconds.hh>

void
debug(const wpl::tool::microseconds& m)
{
  const struct timeval	tv = m.get_timeval();

  std::cout << m				<< '\t'
	    << m.get_prism_mactime()		<< '\t'
	    << m.get_prism_hosttime()		<< '\t'
	    << m.get_uint64()			<< '\t'
	    << tv.tv_sec << '.' << tv.tv_usec	<< std::endl;
}

void
wrap(wpl::tool::microseconds& z)
{
  wpl::tool::microseconds	range32 (uint64_t (1) << 32);

  z -= range32;
}

int
main()
{
  wpl::tool::microseconds n (wpl::tool::microseconds::mpz_type (-100));
  wpl::tool::microseconds z (0);
  wpl::tool::microseconds p (100);

  std::cout << z.get_div_by(42) << '\t' << p.get_div_by(42) << std::endl;
  debug(n);
  debug(z);
  debug(p);

  std::cout << std::endl;
  wrap(n);
  wrap(z);
  wrap(p);

  debug(n);
  debug(z);
  debug(p);
}
